//
//  AppDelegate.m
//  Demo
//
//  Created by Kemal Taskin on 12/26/12.
//  Copyright (c) 2012 Yakamoz Labs. All rights reserved.
//

#import "AppDelegate.h"
#import "YLViewControlleriPhone.h"
#import "UIColor-Expanded.h"

@implementation AppDelegate

- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions {
    self.window = [[[UIWindow alloc] initWithFrame:[[UIScreen mainScreen] bounds]] autorelease];
    self.window.backgroundColor = [UIColor blackColor];
    
    [[UIBarButtonItem appearance] setTintColor:[UIColor colorWithRed:0.2039 green:0.2000 blue:0.2000 alpha:1.0]];
    
    UIViewController *v = [[[YLViewControlleriPhone alloc] initWithNibName:@"YLViewControlleriPhone" bundle:nil] autorelease];
    self.navController = [[[UINavigationController alloc] initWithRootViewController:v] autorelease];
    [self.navController.navigationBar setTintColor:[UIColor colorWithRed:0.2039 green:0.2000 blue:0.2000 alpha:1.0]];
    self.window.rootViewController = self.navController;
    [self.window makeKeyAndVisible];
    
    return YES;
}

- (void)dealloc {
    [_window release];
    [_navController release];
    
    [super dealloc];
}

- (void)applicationWillResignActive:(UIApplication *)application {
    // Sent when the application is about to move from active to inactive state. This can occur for certain types of temporary interruptions (such as an incoming phone call or SMS message) or when the user quits the application and it begins the transition to the background state.
    // Use this method to pause ongoing tasks, disable timers, and throttle down OpenGL ES frame rates. Games should use this method to pause the game.
}

- (void)applicationDidEnterBackground:(UIApplication *)application {
    // Use this method to release shared resources, save user data, invalidate timers, and store enough application state information to restore your application to its current state in case it is terminated later.
    // If your application supports background execution, this method is called instead of applicationWillTerminate: when the user quits.
}

- (void)applicationWillEnterForeground:(UIApplication *)application {
    // Called as part of the transition from the background to the inactive state; here you can undo many of the changes made on entering the background.
}

- (void)applicationDidBecomeActive:(UIApplication *)application {
    // Restart any tasks that were paused (or not yet started) while the application was inactive. If the application was previously in the background, optionally refresh the user interface.
}

- (void)applicationWillTerminate:(UIApplication *)application {
    // Called when the application is about to terminate. Save data if appropriate. See also applicationDidEnterBackground:.
}


@end
